import fastifyStatic from '@fastify/static'
import path from 'path'

/**
 *  handle static files
 *
 *  @author Björn Hase, Tentakelfabrik
 *  @license http://opensource.org/licenses/MIT The MIT License
 *
 */

export default async function(fastify, opts) {
    
    /**
     *
     *
     */
    fastify.register(fastifyStatic, {
        root: path.join(path.resolve(), '/../../public'),
        prefix: '/',
        preCompressed: true
    })
}